Subject: Re: pkg/28580: default pkgsrc perl58 won't build on 2.0
To: None <>
From: Johnny C. Lam <>
List: pkgsrc-bugs
Date: 12/10/2004 06:22:02
On Tue, Dec 07, 2004 at 09:42:01PM +0000, wrote:
> >Description:
> this is a dupe of 25427, but that dates back to May and it looks like it may have been forgotten.  With 2.0 on the doorstep, this probably
> wants fixing now.
> a vanilla install of 2.0, with pkgsrc as of about 10 mins ago
> won't build perl58 (threaded).  Setting PERL5_USE_THREADS=No
> in /etc/mk.conf "fixes" it. The default is to build threaded perl58,
> which chokes - see 25427

I'm not able to reproduce this problem.  I did a vanilla install of
2.0 and used a current pkgsrc with an empty /etc/mk.conf, and perl58
(threaded) built without errors.  Can you please test with a newer
pkgsrc?  Also, do you have any unusual /etc/mk.conf settings?


	-- Johnny Lam <>